Subject: Re: egcs plans
From: [email-masked] (Rick Miller)

27 Dec 1997 05:10:44 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, "Mumit Khan" <[email-masked]>

I might be able to help with the installation...  I've been using
InstallShield 5 Pro. but I haven't tried a "self extracting" thingamabob. 
I usually make a directory tree with "disk1", "disk2" etc. directories in
it so that it can be installed from there or put onto floppies.

I've done some pretty extensive scripting for the wierd ways my employer
likes to have its software installed and have some experience modifying the
registry from the install script.

I could probably learn to create whatever kind of install you're looking
for, except International... that's a different InstallShield "product".

Rick Miller
http://www.execpc.com/

----------
> From: Mumit Khan <[email-masked]>
> To: [email-masked]
> Subject: egcs plans 
> Date: Friday, December 26, 1997 12:12 PM
> 
> Here're some near-future plans I have for egcs for cygwin32/mingw32.
> Comments welcome.
>   
>   - gcc-2.8.0 merge: Now that egcs has merged in 2.8.0 features and I
have
>     things running quite well, the next release will have the best of
both
>     worlds. Hopefully the new code to use the Win32 Registry will solve
>     some of the installation woes.
> 
>   - dlltool/ld/gas fixes from Mikey: Hopefully I can merge in the fixes 
>     from Mikey that allows one to link with MS LIB files. I don't
>     understand some of the changes yet, but I'll be in touch with Mikey
>     to clear things up.
> 
>   - (mingw32) dlltool enhancements Pedro Pedro A. Aranda Guti\irrez: This
>     allows synonyms and constants in .def files and obviates the need for
>     libmoldname.a, and hence multiple imports for crtdll.
> 
>   - (very tentative) Installer: I don't know if this is going to happen, 
>     but it sure would be nice. If you can help in this, please let me
know. 
>     I only have InstallShield Express, which is a pain to use when you
>     tons of directories, and doesn't support scripting.
> 
>   - unpacked tree via ftp? I'd really like to have the unpacked directory
>     hieararchy available via ftp, but I can't do it here due to resource
>     constraints. I'm sure someone else will volunteer ;-)
> 
> When? Definitely not before Jan 7 since I'll be few timezeones away (and 
> fortunately +22 degrees C) from my home machine. I can still remotely 
> build the snapshots and fix problems however. Looks like sometime around 
> Jan 15.
> 
> Why not just use FSF-2.8.0 when released instead of egcs? What benefits
> do you get over the soon-to-be-released gcc-2.8.0?
> 
>   - Crucial c++ fixes in egcs that affect the C++ code on PE-COFF.
>   - g77 is "integrated" into egcs. Some of the "experimental" 
>     features such as alias analysis are in egcs, but not in FSF. 
>   - other misc x86 optimizations that are not in FSF.
> 
> Happy Holidays to all.
> 
> Regards,
> Mumit -- [email-masked]
> http://www.xraylith.wisc.edu/~khan/
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".